## sssd 2.12.0

=== src/tests/tests/cwrap/Makefile ===
# Makefile.in generated by automake 1.18.1 from Makefile.am.
# src/tests/cwrap/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2025 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#am__append_1 = ../../../src/responder/common/cache_req/plugins/cache_req_subid_ranges_by_name.c
check_PROGRAMS = $(am__EXEEXT_1)
am__append_2 = \
    server-tests \
    usertools-tests \
    responder_common-tests \
    $(NULL)

#am__append_3 = $(abs_top_builddir)/stap_generated_probes.lo
#am__append_4 = $(abs_top_builddir)/stap_generated_probes.lo
subdir = src/tests/cwrap
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_SCRIPTS) \
	$(dist_noinst_DATA) $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 = server-tests$(EXEEXT) \
	usertools-tests$(EXEEXT) \
	responder_common-tests$(EXEEXT)
am__responder_common_tests_SOURCES_DIST = test_responder_common.c \
	../../../src/responder/common/responder_iface.c \
	../../../src/util/nss_dl_load.c \
	../../../src/responder/common/negcache.c \
	../../../src/responder/common/responder_common.c \
	../../../src/responder/common/responder_packet.c \
	../../../src/responder/common/responder_cmd.c \
	../../../src/tests/cmocka/common_mock_resp_dp.c \
	../../../src/util/session_recording.c \
	../../../src/responder/common/cache_req/cache_req.c \
	../../../src/responder/common/cache_req/cache_req_result.c \
	../../../src/responder/common/cache_req/cache_req_search.c \
	../../../src/responder/common/cache_req/cache_req_data.c \
	../../../src/responder/common/cache_req/cache_req_domain.c \
	../../../src/responder/common/cache_req/cache_req_sr_overlay.c \
	../../../src/responder/common/cache_req/plugins/cache_req_common.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_users.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_groups.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_svc.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_ip_hosts.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_ip_networks.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_upn.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_id.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_filter.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_cert.c \
	../../../src/responder/common/cache_req/plugins/cache_req_group_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_group_by_id.c \
	../../../src/responder/common/cache_req/plugins/cache_req_group_by_filter.c \
	../../../src/responder/common/cache_req/plugins/cache_req_initgroups_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_initgroups_by_upn.c \
	../../../src/responder/common/cache_req/plugins/cache_req_object_by_sid.c \
	../../../src/responder/common/cache_req/plugins/cache_req_object_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_object_by_id.c \
	../../../src/responder/common/cache_req/plugins/cache_req_svc_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_svc_by_port.c \
	../../../src/responder/common/cache_req/plugins/cache_req_netgroup_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ssh_host_id_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_autofs_map_entries.c \
	../../../src/responder/common/cache_req/plugins/cache_req_autofs_map_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_autofs_entry_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_host_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_host_by_addr.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_network_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_network_by_addr.c \
	../../../src/responder/common/cache_req/plugins/cache_req_subid_ranges_by_name.c
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 = ../../../src/responder/common/responder_common_tests-responder_iface.$(OBJEXT)
#am__objects_2 = ../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_subid_ranges_by_name.$(OBJEXT)
am__objects_3 = ../../../src/responder/common/cache_req/responder_common_tests-cache_req.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_result.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_search.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_data.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_domain.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_sr_overlay.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_common.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_users.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_groups.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_svc.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_ip_hosts.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_ip_networks.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_name.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_upn.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_id.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_filter.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_cert.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_group_by_name.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_group_by_id.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_group_by_filter.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_initgroups_by_name.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_initgroups_by_upn.$(OBJEXT) \

=== src/tests/tests/intg/Makefile ===
# Makefile.in generated by automake 1.18.1 from Makefile.am.
# src/tests/intg/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2025 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#bin_PROGRAMS = sss_netgroup_thread_test$(EXEEXT)
subdir = src/tests/intg
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__dist_dbussysconf_DATA_DIST) \
	$(dist_noinst_DATA) $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(nsslibdir)" "$(DESTDIR)$(dbussysconfdir)"
PROGRAMS = $(bin_PROGRAMS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
       $(am__cd) "$$dir" && echo $$files | $(am__xargs_n) 40 $(am__rm_f); }; \
  }
LTLIBRARIES = $(lib_LTLIBRARIES) $(nsslib_LTLIBRARIES)
am__DEPENDENCIES_1 =
#getsockopt_wrapper_la_DEPENDENCIES =  \
#	$(am__DEPENDENCIES_1)
am__getsockopt_wrapper_la_SOURCES_DIST = getsockopt_wrapper.c
#am_getsockopt_wrapper_la_OBJECTS =  \
#	getsockopt_wrapper_la-getsockopt_wrapper.lo
getsockopt_wrapper_la_OBJECTS = $(am_getsockopt_wrapper_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
getsockopt_wrapper_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(getsockopt_wrapper_la_CFLAGS) $(CFLAGS) \
	$(getsockopt_wrapper_la_LDFLAGS) $(LDFLAGS) -o $@
#am_getsockopt_wrapper_la_rpath = -rpath $(libdir)
libnss_call_la_LIBADD =
am__libnss_call_la_SOURCES_DIST = nss_call.c
#am_libnss_call_la_OBJECTS = nss_call.lo
libnss_call_la_OBJECTS = $(am_libnss_call_la_OBJECTS)
libnss_call_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libnss_call_la_LDFLAGS) $(LDFLAGS) -o \
	$@
#am_libnss_call_la_rpath = -rpath $(nsslibdir)
am__sss_netgroup_thread_test_SOURCES_DIST =  \
	sss_netgroup_thread_test.c
#am_sss_netgroup_thread_test_OBJECTS = sss_netgroup_thread_test-sss_netgroup_thread_test.$(OBJEXT)
sss_netgroup_thread_test_OBJECTS =  \
	$(am_sss_netgroup_thread_test_OBJECTS)
sss_netgroup_thread_test_DEPENDENCIES =
sss_netgroup_thread_test_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(sss_netgroup_thread_test_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade =  \
	./$(DEPDIR)/getsockopt_wrapper_la-getsockopt_wrapper.Plo \
	./$(DEPDIR)/nss_call.Plo \
	./$(DEPDIR)/sss_netgroup_thread_test-sss_netgroup_thread_test.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(getsockopt_wrapper_la_SOURCES) $(libnss_call_la_SOURCES) \
	$(sss_netgroup_thread_test_SOURCES)
DIST_SOURCES = $(am__getsockopt_wrapper_la_SOURCES_DIST) \
	$(am__libnss_call_la_SOURCES_DIST) \
	$(am__sss_netgroup_thread_test_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__dist_dbussysconf_DATA_DIST = cwrap-dbus-system.conf
DATA = $(dist_dbussysconf_DATA) $(dist_noinst_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/build/depcomp \
	$(top_srcdir)/build/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' aclocal-1.18
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' autoconf
AUTOHEADER = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' autoheader
AUTOMAKE = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' automake-1.18
AWK = gawk
CAP_CFLAGS = 
CAP_LIBS = -lcap
CARES_CFLAGS =

=== src/tests/tests/test_CA/Makefile ===
# Makefile.in generated by automake 1.18.1 from Makefile.am.
# src/tests/test_CA/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2025 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
am__append_1 = softhsm2_expired
am__append_2 = SSSD_test_CA_expired_crl.pem
subdir = src/tests/test_CA
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_noinst_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build/mkinstalldirs README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' aclocal-1.18
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' autoconf
AUTOHEADER = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' autoheader
AUTOMAKE = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' automake-1.18
AWK = gawk
CAP_CFLAGS = 
CAP_LIBS = -lcap
CARES_CFLAGS = 
CARES_LIBS = -lcares
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CHECK_CFLAGS = 
CHECK_LIBS = -lcheck
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka
CPP = gcc -E
CPPFLAGS = 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto
CSCOPE = cscope
CTAGS = ctags
CURL_CFLAGS = -DWITH_GZFILEOP
CURL_LIBS = -lcurl
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/lib64/pkgconfig/../../include/dbus-1.0 -I/usr/lib64/pkgconfig/../../lib64/dbus-1.0/include
DBUS_LIBS = -L/usr/lib64/pkgconfig/../../lib64 -ldbus-1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DHASH_CFLAGS = 
DHASH_LIBS = -ldhash
DLLTOOL = false
DOCBOOK_XSLT = http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_VALGRIND_drd = yes
ENABLE_VALGRIND_helgrind = yes
ENABLE_VALGRIND_memcheck = yes
ENABLE_VALGRIND_sgcheck = no
ETAGS = etags
EXEEXT = 
FAKETIME = /usr/bin/faketime
FGREP = /usr/bin/grep -F
FIDO2_CFLAGS = 
FIDO2_LIBS = 
FILECMD = file
GDM_PAM_EXTENSIONS_CFLAGS = -I/usr/include/gdm
GDM_PAM_EXTENSIONS_LIBS = 
GMSGFMT = /usr/bin/msgfmt
GPO_DEFAULT = enforcing
GREP = /usr/bin/grep
GSSAPI_KRB5_CFLAGS = 
GSSAPI_KRB5_LIBS = -lgssapi_krb5
HAVE_FAKEROOT = yes
HAVE_LDAPMODIFY = yes
HAVE_MANPAGES = 1
HAVE_NSS_WRAPPER = yes
HAVE_PAM_WRAPPER = yes
HAVE_PYTHON2 = no
HAVE_PYTHON2_BINDINGS = 
HAVE_PYTHON3 = yes
HAVE_PYTHON3_BINDINGS = yes
HAVE_SELINUX = 1
HAVE_UID_WRAPPER = yes
IDMAP_SAMBA_LIBS = idmap-private-samba
INI_CONFIG_CFLAGS = 
INI_CONFIG_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INI_CONFIG_V1_3_CFLAGS = 
INI_CONFIG_V1_3_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INOTIFY_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson
JOSE_CFLAGS = -DWITH_GZFILEOP
JOSE_LIBS = -ljose -ljansson
JOURNALD_CFLAGS = 
JOURNALD_LIBS = 
KEYUTILS_LIBS = -lkeyutils
KRAD_LIBS = -lkrad
KRB5_CFLAGS = 
KRB5_CONFIG = /usr/bin/krb5-config
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err
LD = /usr/bin/ld -m elf_x86_64
LDB_CFLAGS = -I/usr/include/samba-4.0
LDB_LIBS = -lldb
LDFLAGS = 
LIBADD_DL =  
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = 
LIBADD_SHL_LOAD = 
LIBADD_TIMER = 
LIBCLOCK_GETTIME = 
LIBICONV = -liconv
LIBINTL = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3
LIBNL3_LIBS = -lnl-route-3 -lnl-3
LIBNL_CFLAGS = -I/usr/include/libnl3
LIBNL_LIBS = -lnl-route-3 -lnl-3
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_DLLOADERS =  dlopen.la

=== src/tests/tests/test_ECC_CA/Makefile ===
# Makefile.in generated by automake 1.18.1 from Makefile.am.
# src/tests/test_ECC_CA/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2025 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = src/tests/test_ECC_CA
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_noinst_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' aclocal-1.18
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' autoconf
AUTOHEADER = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' autoheader
AUTOMAKE = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' automake-1.18
AWK = gawk
CAP_CFLAGS = 
CAP_LIBS = -lcap
CARES_CFLAGS = 
CARES_LIBS = -lcares
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CHECK_CFLAGS = 
CHECK_LIBS = -lcheck
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka
CPP = gcc -E
CPPFLAGS = 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto
CSCOPE = cscope
CTAGS = ctags
CURL_CFLAGS = -DWITH_GZFILEOP
CURL_LIBS = -lcurl
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/lib64/pkgconfig/../../include/dbus-1.0 -I/usr/lib64/pkgconfig/../../lib64/dbus-1.0/include
DBUS_LIBS = -L/usr/lib64/pkgconfig/../../lib64 -ldbus-1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DHASH_CFLAGS = 
DHASH_LIBS = -ldhash
DLLTOOL = false
DOCBOOK_XSLT = http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_VALGRIND_drd = yes
ENABLE_VALGRIND_helgrind = yes
ENABLE_VALGRIND_memcheck = yes
ENABLE_VALGRIND_sgcheck = no
ETAGS = etags
EXEEXT = 
FAKETIME = /usr/bin/faketime
FGREP = /usr/bin/grep -F
FIDO2_CFLAGS = 
FIDO2_LIBS = 
FILECMD = file
GDM_PAM_EXTENSIONS_CFLAGS = -I/usr/include/gdm
GDM_PAM_EXTENSIONS_LIBS = 
GMSGFMT = /usr/bin/msgfmt
GPO_DEFAULT = enforcing
GREP = /usr/bin/grep
GSSAPI_KRB5_CFLAGS = 
GSSAPI_KRB5_LIBS = -lgssapi_krb5
HAVE_FAKEROOT = yes
HAVE_LDAPMODIFY = yes
HAVE_MANPAGES = 1
HAVE_NSS_WRAPPER = yes
HAVE_PAM_WRAPPER = yes
HAVE_PYTHON2 = no
HAVE_PYTHON2_BINDINGS = 
HAVE_PYTHON3 = yes
HAVE_PYTHON3_BINDINGS = yes
HAVE_SELINUX = 1
HAVE_UID_WRAPPER = yes
IDMAP_SAMBA_LIBS = idmap-private-samba
INI_CONFIG_CFLAGS = 
INI_CONFIG_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INI_CONFIG_V1_3_CFLAGS = 
INI_CONFIG_V1_3_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INOTIFY_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson
JOSE_CFLAGS = -DWITH_GZFILEOP
JOSE_LIBS = -ljose -ljansson
JOURNALD_CFLAGS = 
JOURNALD_LIBS = 
KEYUTILS_LIBS = -lkeyutils
KRAD_LIBS = -lkrad
KRB5_CFLAGS = 
KRB5_CONFIG = /usr/bin/krb5-config
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err
LD = /usr/bin/ld -m elf_x86_64
LDB_CFLAGS = -I/usr/include/samba-4.0
LDB_LIBS = -lldb
LDFLAGS = 
LIBADD_DL =  
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = 
LIBADD_SHL_LOAD = 
LIBADD_TIMER = 
LIBCLOCK_GETTIME = 
LIBICONV = -liconv
LIBINTL = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3
LIBNL3_LIBS = -lnl-route-3 -lnl-3
LIBNL_CFLAGS = -I/usr/include/libnl3
LIBNL_LIBS = -lnl-route-3 -lnl-3
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_DLLOADERS =  dlopen.la
LT_DLPREOPEN = -dlpreopen dlopen.la 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/./build//mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NDR_KRB5PAC_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_KRB5PAC_LIBS = -lndr-krb5pac -lndr-standard -lndr -lsamba-util -ltevent -ltalloc
NDR_NBT_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_NBT_LIBS = -lndr-nbt -lndr -lsamba-util -ltevent -ltalloc
NFSIDMAP_CFLAGS = 
NFSIDMAP_LIBS = -lnfsidmap
NFSIDMAP_OBJ = 
NM = /usr/bin/nm -B
NMEDIT = 
NSUPDATE = /usr/bin/nsupdate
OBJDUMP = objdump
OBJEXT = o
OPENLDAP_CFLAGS = 
OPENLDAP_LIBS =  -llber -lldap
OPENSSL = /usr/bin/openssl
OTOOL = 
OTOOL64 = 
P11TOOL = /usr/bin/p11tool
P11_KIT_CFLAGS = -I/usr/include/p11-kit-1
P11_KIT_LIBS = -lp11-kit
PACKAGE = sssd
PACKAGE_BUGREPORT = sssd-devel@lists.fedorahosted.org
PACKAGE_NAME = sssd
PACKAGE_STRING = sssd 2.12.0
PACKAGE_TARNAME = sssd
PACKAGE_URL = 
PACKAGE_VERSION = 2.12.0
PAM_LIBS = -lpam
PAM_MISC_LIBS = -lpam_misc
PASSKEY_CFLAGS = 
PASSKEY_LIBS = 
PATH_SEPARATOR = :
PCRE_CFLAGS = 
PCRE_LIBS = -lpcre2-8
PKG_CONFIG = /usr/bin/pkg-config
PO4A = po4a
POPT_CFLAGS = 
POPT_LIBS = -lpopt
POSUB = po
PRERELEASE_VERSION = 
PYTHON = 
PYTHON2 = 
PYTHON2_CFLAGS = 
PYTHON2_EXEC_PREFIX = 
PYTHON2_INCLUDES = 
PYTHON2_LIBS = 
PYTHON2_PREFIX = 
PYTHON2_VERSION = 
PYTHON3 = /usr/bin/python3
PYTHON3_CFLAGS = -I/usr/include/python3.14 -I/usr/include/python3.14  -fno-strict-overflow -Wsign-compare -fexceptions -fcf-protection   -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DNDEBUG -fexceptions -fcf-protection 
PYTHON3_EXEC_PREFIX = ${exec_prefix}
PYTHON3_INCLUDES = -I/usr/include/python3.14 -I/usr/include/python3.14
PYTHON3_LIBS =  -ldl  -lm 
PYTHON3_PREFIX = ${prefix}
PYTHON3_VERSION = 3.14
PYTHON_CONFIG = 
PYTHON_EXEC = /usr/bin/python3
PYTHON_EXEC_INTG = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 
RANLIB = ranlib
RESOLV_CFLAGS = 
RESOLV_LIBS = -L/usr/local/lib -lresolv
SAMBA_UTIL_CFLAGS = -I/usr/include/samba-4.0 -DHAVE_IMMEDIATE_STRUCTURES=1
SAMBA_UTIL_LIBS = -lsamba-util -ltevent -ltalloc
SASL_CFLAGS = 
SASL_LIBS = -lsasl2
SED = /usr/bin/sed
SELINUX_LIBS = -lselinux

=== src/tests/tests/test_CA/intermediate_CA/Makefile ===
# Makefile.in generated by automake 1.18.1 from Makefile.am.
# src/tests/test_CA/intermediate_CA/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2025 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = src/tests/test_CA/intermediate_CA
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_noinst_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' aclocal-1.18
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' autoconf
AUTOHEADER = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' autoheader
AUTOMAKE = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' automake-1.18
AWK = gawk
CAP_CFLAGS = 
CAP_LIBS = -lcap
CARES_CFLAGS = 
CARES_LIBS = -lcares
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CHECK_CFLAGS = 
CHECK_LIBS = -lcheck
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka
CPP = gcc -E
CPPFLAGS = 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto
CSCOPE = cscope
CTAGS = ctags
CURL_CFLAGS = -DWITH_GZFILEOP
CURL_LIBS = -lcurl
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/lib64/pkgconfig/../../include/dbus-1.0 -I/usr/lib64/pkgconfig/../../lib64/dbus-1.0/include
DBUS_LIBS = -L/usr/lib64/pkgconfig/../../lib64 -ldbus-1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DHASH_CFLAGS = 
DHASH_LIBS = -ldhash
DLLTOOL = false
DOCBOOK_XSLT = http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_VALGRIND_drd = yes
ENABLE_VALGRIND_helgrind = yes
ENABLE_VALGRIND_memcheck = yes
ENABLE_VALGRIND_sgcheck = no
ETAGS = etags
EXEEXT = 
FAKETIME = /usr/bin/faketime
FGREP = /usr/bin/grep -F
FIDO2_CFLAGS = 
FIDO2_LIBS = 
FILECMD = file
GDM_PAM_EXTENSIONS_CFLAGS = -I/usr/include/gdm
GDM_PAM_EXTENSIONS_LIBS = 
GMSGFMT = /usr/bin/msgfmt
GPO_DEFAULT = enforcing
GREP = /usr/bin/grep
GSSAPI_KRB5_CFLAGS = 
GSSAPI_KRB5_LIBS = -lgssapi_krb5
HAVE_FAKEROOT = yes
HAVE_LDAPMODIFY = yes
HAVE_MANPAGES = 1
HAVE_NSS_WRAPPER = yes
HAVE_PAM_WRAPPER = yes
HAVE_PYTHON2 = no
HAVE_PYTHON2_BINDINGS = 
HAVE_PYTHON3 = yes
HAVE_PYTHON3_BINDINGS = yes
HAVE_SELINUX = 1
HAVE_UID_WRAPPER = yes
IDMAP_SAMBA_LIBS = idmap-private-samba
INI_CONFIG_CFLAGS = 
INI_CONFIG_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INI_CONFIG_V1_3_CFLAGS = 
INI_CONFIG_V1_3_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INOTIFY_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson
JOSE_CFLAGS = -DWITH_GZFILEOP
JOSE_LIBS = -ljose -ljansson
JOURNALD_CFLAGS = 
JOURNALD_LIBS = 
KEYUTILS_LIBS = -lkeyutils
KRAD_LIBS = -lkrad
KRB5_CFLAGS = 
KRB5_CONFIG = /usr/bin/krb5-config
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err
LD = /usr/bin/ld -m elf_x86_64
LDB_CFLAGS = -I/usr/include/samba-4.0
LDB_LIBS = -lldb
LDFLAGS = 
LIBADD_DL =  
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = 
LIBADD_SHL_LOAD = 
LIBADD_TIMER = 
LIBCLOCK_GETTIME = 
LIBICONV = -liconv
LIBINTL = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3
LIBNL3_LIBS = -lnl-route-3 -lnl-3
LIBNL_CFLAGS = -I/usr/include/libnl3
LIBNL_LIBS = -lnl-route-3 -lnl-3
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_DLLOADERS =  dlopen.la
LT_DLPREOPEN = -dlpreopen dlopen.la 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/tmp/tmp.eSF2aMBrJx/build/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/./build//mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NDR_KRB5PAC_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_KRB5PAC_LIBS = -lndr-krb5pac -lndr-standard -lndr -lsamba-util -ltevent -ltalloc
NDR_NBT_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_NBT_LIBS = -lndr-nbt -lndr -lsamba-util -ltevent -ltalloc
NFSIDMAP_CFLAGS = 
NFSIDMAP_LIBS = -lnfsidmap
NFSIDMAP_OBJ = 
NM = /usr/bin/nm -B
NMEDIT = 
NSUPDATE = /usr/bin/nsupdate
OBJDUMP = objdump
OBJEXT = o
OPENLDAP_CFLAGS = 
OPENLDAP_LIBS =  -llber -lldap
OPENSSL = /usr/bin/openssl
OTOOL = 
OTOOL64 = 
P11TOOL = /usr/bin/p11tool
P11_KIT_CFLAGS = -I/usr/include/p11-kit-1
P11_KIT_LIBS = -lp11-kit
PACKAGE = sssd
PACKAGE_BUGREPORT = sssd-devel@lists.fedorahosted.org
PACKAGE_NAME = sssd
PACKAGE_STRING = sssd 2.12.0
PACKAGE_TARNAME = sssd
PACKAGE_URL = 
PACKAGE_VERSION = 2.12.0
PAM_LIBS = -lpam
PAM_MISC_LIBS = -lpam_misc
PASSKEY_CFLAGS = 
PASSKEY_LIBS = 
PATH_SEPARATOR = :
PCRE_CFLAGS = 
PCRE_LIBS = -lpcre2-8
PKG_CONFIG = /usr/bin/pkg-config
PO4A = po4a
POPT_CFLAGS = 
POPT_LIBS = -lpopt
POSUB = po
PRERELEASE_VERSION = 
PYTHON = 
PYTHON2 = 
PYTHON2_CFLAGS = 
PYTHON2_EXEC_PREFIX = 
PYTHON2_INCLUDES = 
PYTHON2_LIBS = 
PYTHON2_PREFIX = 
PYTHON2_VERSION = 
PYTHON3 = /usr/bin/python3
PYTHON3_CFLAGS = -I/usr/include/python3.14 -I/usr/include/python3.14  -fno-strict-overflow -Wsign-compare -fexceptions -fcf-protection   -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DNDEBUG -fexceptions -fcf-protection 
PYTHON3_EXEC_PREFIX = ${exec_prefix}
PYTHON3_INCLUDES = -I/usr/include/python3.14 -I/usr/include/python3.14
PYTHON3_LIBS =  -ldl  -lm 
PYTHON3_PREFIX = ${prefix}
PYTHON3_VERSION = 3.14
PYTHON_CONFIG = 
PYTHON_EXEC = /usr/bin/python3
PYTHON_EXEC_INTG = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 
RANLIB = ranlib
RESOLV_CFLAGS = 
RESOLV_LIBS = -L/usr/local/lib -lresolv
SAMBA_UTIL_CFLAGS = -I/usr/include/samba-4.0 -DHAVE_IMMEDIATE_STRUCTURES=1
SAMBA_UTIL_LIBS = -lsamba-util -ltevent -ltalloc
SASL_CFLAGS = 
SASL_LIBS = -lsasl2
SED = /usr/bin/sed

=== debian/changelog ===
sssd (2.12.0-2) unstable; urgency=medium

  [ Jonas Jelten ]
  * d/t/sssd-{softhism2-certificates-test,smart-card-pam-auth-configs-tester}:
    fix test user creation
  * d/t/sssd-smart-card-pam-auth-configs-tester: remove deprecated files provider

  [ Timo Aaltonen ]
  * libsss-sudo: Drop dependency on libnss-sudo, modify libsss-sudo.nss to create
    the nsswitch.conf entry for sudo. (Closes: #770825)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Feb 2026 12:36:20 +0200

sssd (2.12.0-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * d/control: remove kfreebsd reference (remove lintian error)
  * d/tests/sssd-smart-card-pam-auth-configs-tester.sh: show status/journal
    after (re)start of sssd fails

  [ Seyeong Kim ]
  * Updating apparmor profile for smartcard authentication (LP: #2109673)
   - d/apparmor-profile: allow access to sssd configuration directory,
     pcscd socket and libraries required for PKCS#11 module initialization.

  [ John Veitch ]
  * Update file sssd-common.sssd.default
  * Edit sssd-common.sssd.default  - add the --logger=files daemon option

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Drop upstreamed patch.
  * source: Update diff-ignore.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 08 Feb 2026 18:16:39 +0200

sssd (2.11.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disabling sssd-smart-card-pam-auth-configs for now to allow sssd to
    migrate - until a proper fix, it's better to have sssd in testing
    without this test run than not have sssd at all (Closes: #1123815).

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Feb 2026 04:01:15 +0000

sssd (2.11.1-2) unstable; urgency=medium

  * BUILD-Accept-krb5-1.22-for-building-the-PAC-plugin.patch
    (Closes: #1122483 -- FTBFS, missing support for MIT Kerberos 1.22)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 09 Jan 2026 11:47:07 +0300

=== debian/control ===
Source: sssd
Section: utils
Priority: optional
Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Dominik George <natureshadow@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 autopoint,
 bc,
 check <!nocheck>,
 cifs-utils,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-python,
 dh-sequence-installnss,
 bind9-dnsutils,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.16.1~),
 faketime <!nocheck>,
 gnutls-bin <!nocheck>,
 krb5-config,
 ldap-utils,
 libaugeas-dev,
 libc-ares-dev,
 libcap-dev,
 libcmocka-dev <!nocheck>,
 libcollection-dev,
 libcurl4-openssl-dev,
 libdbus-1-dev,
 libdhash-dev,
 libfido2-dev,
 libgdm-dev [!s390x !hurd-any],
 libglib2.0-dev,
 libini-config-dev,
 libjansson-dev,
 libjose-dev,
 libkeyutils-dev [linux-any],
 libkrad-dev,
 libkrb5-dev (>= 1.12),
 libldap2-dev,
 libldb-dev,
 libltdl-dev,
 libnfsidmap-dev,
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnss-wrapper <!nocheck>,
 libp11-kit-dev,
 libpam-wrapper <!nocheck>,
 libpam0g-dev | libpam-dev,
 libpcre2-dev,
 libpopt-dev,
 libsasl2-dev,
 libselinux1-dev [linux-any],
 libsemanage-dev [linux-any],
 libsmbclient-dev,
 libssl-dev,
 libsubid-dev,
 libsystemd-dev [linux-any],
 libtalloc-dev,
 libtdb-dev,
 libtevent-dev,
 libuid-wrapper <!nocheck>,
 libunistring-dev,
 libxml2-utils,
 lsb-release,
 openssh-client <!nocheck>,
 openssl <!nocheck>,
 pkgconf,
 python3-dev,
 python3-setuptools,
 samba-dev (>= 2:4.1.13),
 softhsm2 <!nocheck>,
 systemd,
 systemd-dev,
 systemtap-sdt-dev,
 uuid-dev,
 xml-core,
 xsltproc
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/sssd-team/sssd.git
Vcs-Browser: https://salsa.debian.org/sssd-team/sssd
Homepage: https://github.com/SSSD/sssd

Package: sssd
Section: metapackages
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends:
 python3-sss (= ${binary:Version}),
 sssd-ad (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-ipa (= ${binary:Version}),
 sssd-krb5 (= ${binary:Version}),
 sssd-ldap (= ${binary:Version}),
 sssd-proxy (= ${binary:Version}),
 ${misc:Depends}
Description: System Security Services Daemon -- metapackage
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package is a metapackage which installs the daemon and existing
 authentication back ends.

Package: sssd-common
Architecture: any
Depends:
 libcap2-bin,
 libnss-sss (= ${binary:Version}),
 libpam-sss (= ${binary:Version}),
 python3,
 python3-sss,
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
Recommends:
 bind9-dnsutils,
 bind9-host,
Suggests:
 apparmor,
 libsss-sudo,
 sssd-tools
Description: System Security Services Daemon -- common files
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provides the daemon and other common files needed by the
 authentication back ends.

Package: sssd-ad
Architecture: any
Depends:
 libcap2-bin,
 libsss-idmap0 (= ${binary:Version}),
 sssd-ad-common (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 adcli,
Description: System Security Services Daemon -- Active Directory back end
 Provides the Active Directory back end that the SSSD can utilize to fetch
 identity data from and authenticate against an Active Directory server.

Package: sssd-ad-common
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- PAC responder
 Provides the PAC responder that the AD and IPA backends can use for
 fetching additional attributes from the kerberos ticket.

Package: sssd-dbus
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- D-Bus responder
 Provides the D-Bus responder called InfoPipe, that allows the information
 from the SSSD to be transmitted over the system bus.

Package: sssd-idp
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- Kerberos plugins for external id providers
 Provides Kerberos plugins that are required to enable authentication against
 external identity providers.

Package: sssd-ipa
Architecture: any
Depends:
 libcap2-bin,
 libipa-hbac0t64 (= ${binary:Version}),
 libsss-idmap0 (= ${binary:Version}),
 sssd-ad-common (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: System Security Services Daemon -- IPA back end
 Provides the IPA back end that the SSSD can utilize to fetch identity data
 from and authenticate against an IPA server.

Package: sssd-kcm
Architecture: any
Depends:
 sssd-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: System Security Services Daemon -- Kerberos KCM server implementation
 Provides an implementation of a Kerberos KCM server. Use this package if
 you want to use the KCM: Kerberos credentials cache.

Package: sssd-krb5
Architecture: any
Depends:
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: sssd-common (<< 2.7.0-1)
Replaces: sssd-common (<< 2.7.0-1)
Description: System Security Services Daemon -- Kerberos back end
 Provides the Kerberos back end that the SSSD can utilize authenticate
 against a Kerberos server.

Package: sssd-krb5-common
Architecture: any
Depends: sssd-common (= ${binary:Version}),
 libcap2-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Description: System Security Services Daemon -- Kerberos helpers
 Provides helper processes that the LDAP and Kerberos back ends can use for
 Kerberos user or host authentication.

Package: sssd-ldap
Architecture: any
Depends:
 libsss-idmap0 (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: ldap-utils
Suggests: libsasl2-modules-ldap
Description: System Security Services Daemon -- LDAP back end
 Provides the LDAP back end that the SSSD can utilize to fetch identity data
 from and authenticate against an LDAP server.

Package: sssd-passkey
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- passkey helpers and plugins
 Provides the helper processes and Kerberos plugins that are required to
 enable authentication with a passkey token.

Package: sssd-proxy
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- proxy back end
 Provides the proxy back end which can be used to wrap an existing NSS and/or
 PAM modules to leverage SSSD caching.

Package: sssd-tools
Architecture: any
Depends:
 python3,
 python3-sss,
 python3-systemd,
 sssd-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: sssd-dbus
Description: System Security Services Daemon -- tools
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provides tools to manage users, groups and nested groups when
 using the local id provider.

Package: libnss-sss
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: sssd
Multi-Arch: same
Description: Nss library for the System Security Services Daemon
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide the nss library to connect to the sssd daemon.

Package: libpam-sss
Architecture: any
Depends:
 libpam-pwquality (>= 1.2.2-1),
 libpam-runtime (>= 1.0.1-6),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: sssd
Multi-Arch: same
Description: Pam module for the System Security Services Daemon
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide the pam module to connect to the sssd daemon.

Package: libipa-hbac0t64
Provides: ${t64:Provides}
Replaces: libipa-hbac0
Breaks: libipa-hbac0 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FreeIPA HBAC Evaluator library
 Utility library to validate FreeIPA HBAC rules for authorization requests.

Package: libipa-hbac-dev
Section: libdevel
Architecture: any
Depends: libipa-hbac0t64 (= ${binary:Version}), ${misc:Depends}
Description: FreeIPA HBAC Evaluator library -- development files
 Utility library to validate FreeIPA HBAC rules for authorization requests.
 .
 This package contains header files and symlinks to develop programs which will
 use the libipa-hbac library.

Package: libsss-certmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Certificate mapping library for SSSD
 Library to map certificates to users based on rules.

Package: libsss-certmap-dev
Section: libdevel
Architecture: any
Depends: libsss-certmap0 (= ${binary:Version}), ${misc:Depends}
Description: Certificate mapping library for SSSD -- development files
 Utility library to map certificates to users based on rules.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-certmap library.

Package: libsss-idmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ID mapping library for SSSD
 Utility library to convert SIDs to Unix uids and gids.

Package: libsss-idmap-dev
Section: libdevel
Architecture: any
Depends: libsss-idmap0 (= ${binary:Version}), ${misc:Depends}
Description: ID mapping library for SSSD -- development files
 Utility library to convert SIDs to Unix uids and gids.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-idmap library.

Package: libsss-nss-idmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SID based lookups library for SSSD
 Utility library for SID based lookups.

Package: libsss-nss-idmap-dev
Section: libdevel
Architecture: any
Depends: libsss-nss-idmap0 (= ${binary:Version}), ${misc:Depends}
Description: SID based lookups library for SSSD -- development files
 Utility library for SID based lookups.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-nss-idmap library.

Package: libsss-sudo
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Communicator library for sudo

=== debian/tests/control ===
Tests: ldap-user-group-ldap-auth
Depends: @, slapd, ldap-utils, openssl, expect, lsb-release, openssh-server
Restrictions: isolation-container, needs-root, allow-stderr

Tests: ldap-user-group-krb5-auth
Depends: @, slapd, ldap-utils, openssl, expect, lsb-release, krb5-user, krb5-admin-server, krb5-kdc, openssh-server
Restrictions: isolation-container, needs-root, allow-stderr

Tests: sssd-softhism2-certificates-tests.sh
Depends: bash,
         gnutls-bin,
         openssl,
         passwd,
         softhsm2,
         sssd,
         util-linux
Restrictions: needs-root,
              allow-stderr

Test-Command: env
  OFFLINE_MODE=1
  bash debian/tests/sssd-smart-card-pam-auth-configs-tester.sh
Features: test-name=sssd-smart-card-pam-auth-configs
Depends: bash,
         gnutls-bin,
         libpam-sss,
         openssl,
         pamtester,
         passwd,
         softhsm2,
         sssd,
         sssd-proxy,
         util-linux
Restrictions: breaks-testbed,
              isolation-container,
              needs-root,
              allow-stderr
